# boost::numeric::ublas::index_pair< V > Class Template Reference

List of all members.

## Public Types

typedef V::size_type | size_type

## Public Member Functions

BOOST_UBLAS_INLINE | index_pair (V &v, size_type i)
BOOST_UBLAS_INLINE | index_pair (const self_type &rhs)
BOOST_UBLAS_INLINE self_type & | operator= (const self_type &rhs)
BOOST_UBLAS_INLINE void | swap (self_type &rhs)
BOOST_UBLAS_INLINE bool | equal (const self_type &rhs) const
BOOST_UBLAS_INLINE bool | less (const self_type &rhs) const

## Friends

BOOST_UBLAS_INLINE friend void | swap (self_type &lhs, self_type &rhs)
BOOST_UBLAS_INLINE friend bool | operator== (const self_type &lhs, const self_type &rhs)
BOOST_UBLAS_INLINE friend bool | operator!= (const self_type &lhs, const self_type &rhs)
BOOST_UBLAS_INLINE friend bool | operator< (const self_type &lhs, const self_type &rhs)
BOOST_UBLAS_INLINE friend bool | operator>= (const self_type &lhs, const self_type &rhs)
BOOST_UBLAS_INLINE friend bool | operator> (const self_type &lhs, const self_type &rhs)
BOOST_UBLAS_INLINE friend bool | operator<= (const self_type &lhs, const self_type &rhs)

### template<class V>
class boost::numeric::ublas::index_pair< V >